petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectSetPrecision

sets the precision used within a given object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetPrecision(PetscObject obj,PetscPrecision precision)

Collective on the PetscObject Many br

### Input Parameters

| obj | - the PETSc object; this must be cast with (PetscObject), for example, Many brPetscObjectCompose((PetscObject)mat,...); Many br
| precision | - the precision Many br

Many br

### See Also

PetscObjectQuery(), PetscContainerCreate()

Level:advanced
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages